'use strict';

exports.__esModule = true;

var _acornJsx = require('acorn-jsx');

var _walkJs = require('./walk.js');

//
// Extends acorn walk with JSX elements
//

_walkJs.base.JSXElement = function (node, st, c) {
  // node.openingElement.name
  node.children.forEach(function (n) {
    c(n, st);
  });
  // node.closingElement.name
};

_walkJs.base.JSXExpressionContainer = function (node, st, c) {
  c(node.expression, st);
};

exports['default'] = function (source, options) {
  var ast = _acornJsx.parse(source, {
    ecmaVersion: 6,
    sourceType: 'module',
    plugins: { jsx: true }
  });

  _walkJs.simple(ast, options || {});
};

// if the caller wants to play with all the possible types
exports.base = _walkJs.base;